OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Opie-mail On 3.5.3 Won't Work
EdbO
post Apr 25 2005, 12:16 PM
Post #1





Group: Members
Posts: 31
Joined: 19-November 04
From: None
Member No.: 5,530



Hello,

I just installed OpenZaurus 3.5.3. It works great! Got my bluetooth card working, and now I installed Opie-mail on the SD-card. The packagemanager downloaded and installed al the dependencies.

When I type "opiemail" into the console I get the message ": Quicklauncher invoked as: opiemail" When I look with the filemanager on the SD-card I see that in the dir /packages/opt/QtPalmtop/bin opiemail is linked to /opt/QtPalmtop/bin/quicklauncher. In the /opt/QtPalmtop/bin is also an "opiemail" which is linked to /media/card/packages/opt/QtPalmtop/bin (SD-card) wacko.gif blink.gif

So where is the executable ph34r.gif ohmy.gif
Go to the top of the page
 
+Quote Post
lardman
post Apr 25 2005, 01:36 PM
Post #2





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



The executable is on the card where you installed it.

I don't know why/what quicklauncher does, but it is normal (if anyone can shed some light I'd be interested).

Does it not run? Have you tried to launch it from the icon (as the environment may be different)?


Si
Go to the top of the page
 
+Quote Post
acpkendo
post Apr 25 2005, 01:53 PM
Post #3





Group: Members
Posts: 169
Joined: 15-March 04
Member No.: 2,327



I ran the following command:

CODE
ipkg files opie-mail


There is a file called <install path>/opt/QtPalmtop/plugins/libopiemail.so. IIRC, in the Sharp ROM there are no "executables" for the PIM apps, but rather shared libraried kept in a "binlib" directory that are accessed by quickexec. It could be the Opie works the same way (perhaps b/c if quickexec is kept in memory--it's started with opie--then PIM apps will launch faster).
Go to the top of the page
 
+Quote Post
marros
post Apr 25 2005, 04:22 PM
Post #4





Group: Members
Posts: 2
Joined: 25-April 05
Member No.: 6,993



If you re-flash your Zaurus, and when installing Opie mail to SD, making sure you have left the root enabled, but still install to SD, it will work. If you don't leave the root enabled, libqte gets re-installed (as does several other things) and messes up some links. I had to re-flash mine several times (around 20!) before I fiigured it out. mad.gif
Go to the top of the page
 
+Quote Post
lardman
post Apr 26 2005, 02:25 AM
Post #5





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



QUOTE
If you re-flash your Zaurus


You sure this is necessary...?

Actually I don't understand what you're trying to say in your post - leave root enabled? do you mean install to root?


Si
Go to the top of the page
 
+Quote Post
francois.mean
post Apr 26 2005, 03:28 AM
Post #6





Group: Members
Posts: 10
Joined: 27-May 04
From: Belgium
Member No.: 2,753



QUOTE(lardman @ Apr 26 2005, 02:25 AM)
QUOTE
If you re-flash your Zaurus


You sure this is necessary...?

Actually I don't understand what you're trying to say in your post - leave root enabled? do you mean install to root?


Si
*



Maybe try, in a console, this : ipkg-link mount /mnt/card/packages
Then restart opie an try again wink.gif
Go to the top of the page
 
+Quote Post
oninitdialog
post Apr 26 2005, 03:44 AM
Post #7





Group: Members
Posts: 39
Joined: 27-April 04
From: Blackpool UK
Member No.: 2,969



Thanks for that that worked great for me.
Go to the top of the page
 
+Quote Post
EdbO
post Apr 26 2005, 07:55 AM
Post #8





Group: Members
Posts: 31
Joined: 19-November 04
From: None
Member No.: 5,530



Very, very strange blink.gif

I flashed my Zaurus with zImage-40-24, installed opiemail with the packagemanager. The packagemanager downloaded and installed all the dependencies.

I click on the icon, and ........... There was it rolleyes.gif

So opiemail is now working...

Things which were different from the first probe:
- flashed my zaurus with zImage 40-24 instead of zImage 58-6
- USB-connection instead of Bluetooth-connection
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 28th December 2014 - 01:35 PM